# Twemoji pack for phpBB 3+

This is basically just the [full collection of Twemoji icons from Twitter](https://twemoji.twitter.com/), all of which are free to distribute under the following license:

> Copyright 2020 Twitter, Inc and other contributors
>
> Code licensed under the MIT License: https://opensource.org/licenses/MIT
>
> Graphics licensed under CC-BY 4.0: https://creativecommons.org/licenses/by/4.0/
>

[The Unicode organisation keeps a list of official Unicode Emojis and names](https://unicode.org/Public/emoji/13.0/emoji-test.txt).

Basically, the work I've done was to sync the filenames with the Emoji names with their 'shortnames', which phpBB3 understands (at least, most of them; the list was last updated on 2017 and there are a few hundreds more). Believe me, I thought that this would be far easier — it took me _days_ and practically had to change one by one, using both complex regular expressions and database queries. But... I did it! 😄 Now you can enjoy them all on phpBB3, too!

I've selected vector graphics (SVG) because they are about the same size in bytes as the equivalent high-quality PNGs, and, of course, are infinitely scalable without the least loss of quality. If you really prefer PNGs, you can always download them from Twitter's Twemoji site and do a search & replace on the `twemoji.pak` file, replacing `.svg` with `.png`. Done!

Released publicly under a [MIT license](LICENSE.md).

## Installation

[As far as I know](https://www.phpbb.com/support/docs/en/3.0/ug/adminguide/posting_smilies/), all you need to do is to unpack all these files somewhere, and copy them all (including the `twemoji.pak`) into the `images/smilies` directory and then, on the ACP, go to `Posting > Messages > Smilies` and select `Install smilies package` — you should see `twemoji.pak` as an option, just click to install.

If you don't have that option, there is also a way to install them by writing directly to the phpBB3 database 😏 but I won't tell you how to do that...